Subject: Re: [ANNOUNCE] Sharness - Test library derived from Git

From: <[email-masked]>
Date: Fri, 20 Jul 2012 16:11:58 -0500

Matthieu Moy <[email-masked]> writes:

> OTOH, having it leave in a subdirectory (e.g. $git/t/Sharness/), and
> synchronize with stg like subtree merge would be nice for the user. We
> already have something similar for gitk and git-gui, except that the
> synchronization is normally one way (subprojects merged into Git, but
> merging back changes that were made in git.git in these subprojects is
> more painful).

Not really.  contrib/git-subtree can really help with this.

                           -Dave